Bug 670726 - [abrt] blogtk-1.1-14.fc14: post.py:747:metaweblog_Repost:NameError: global name 'keywords' is not defined
Summary: [abrt] blogtk-1.1-14.fc14: post.py:747:metaweblog_Repost:NameError: global na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blogtk
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6043ab1d
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-19 05:25 UTC by Mike Ma
Modified: 2012-03-10 14:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-10 14:05:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.27 KB, text/plain)
2011-01-19 05:25 UTC, Mike Ma
no flags Details

Description Mike Ma 2011-01-19 05:25:18 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: python /usr/lib/python2.7/site-packages/blogtk/BloGTK.py
component: blogtk
executable: /usr/lib/python2.7/site-packages/blogtk/BloGTK.py
kernel: 2.6.35.10-74.fc14.x86_64
package: blogtk-1.1-14.fc14
reason: post.py:747:metaweblog_Repost:NameError: global name 'keywords' is not defined
release: Fedora release 14 (Laughlin)
time: 1295365854
uid: 500

backtrace
-----
post.py:747:metaweblog_Repost:NameError: global name 'keywords' is not defined

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blogtk/BloGTK.py", line 662, in prepPost
    post.repost(self.url, self.user, self.passwd, self.system, blogID, catID, title, body, checkPublish, self.postStatus, self.mainGlade, self.useUTF, extended, excerpt, keywords, trackbackURLS, breaks, commentsAllow, pingsAllow)
  File "/usr/lib/python2.7/site-packages/blogtk/post.py", line 683, in repost
    metaweblog_Repost(url, user, passwd, blogID, title, body, publish, postID, mainGlade, extended, excerpt)
  File "/usr/lib/python2.7/site-packages/blogtk/post.py", line 747, in metaweblog_Repost
    content['mt_keywords'] = keywords
NameError: global name 'keywords' is not defined

Local variables in innermost frame:
body: '用BloGTK测试一下'
extended: ''
title: 'test BloGTK'
passwd: 'ekd123'
rpcServer: <ServerProxy for ekd123.is-programmer.com/xmlrpc>
excerpt: ''
publish: True
content: {'mt_excerpt': '', 'description': '&#29992;BloGTK&#27979;&#35797;&#19968;&#19979;', 'title': 'test BloGTK'}
url: 'http://ekd123.is-programmer.com/xmlrpc'
user: 'ekd123'
postID: '23884'
blogID: 'ekd123'
mainGlade: <gtk.glade.XML object at 0x27137d0 (PyGladeXML at 0x25db8b0)>

How to reproduce
-----
1. I'm forgot it...
2.
3.

Comment 1 Mike Ma 2011-01-19 05:25:22 UTC
Created attachment 474192 [details]
File: backtrace

Comment 2 Fedora Update System 2011-01-22 21:06:11 UTC
blogtk-2.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/blogtk-2.0-3.fc14

Comment 3 Fedora Update System 2011-08-01 15:42:04 UTC
blogtk-2.0-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/blogtk-2.0-4.fc14

Comment 4 Fedora Update System 2011-10-30 00:32:50 UTC
blogtk-2.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.